Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
BitSet32 Class Reference

`#include <bitSet.h>`

## Public Member Functions
| BitSet32 ()
| BitSet32 (const BitSet32 &in_rCopy)
| BitSet32 (const U32 in_mask)
| operator U32 () const
U32 | getMask () const
void | set ()
| Set all bits to true. More...
void | set (const U32 m)
| Set the specified bit(s) to true. More...
void | set (BitSet32 s, bool b)
void | clear ()
| Clear all bits. More...
void | clear (const U32 m)
| Clear the specified bit(s). More...
void | toggle (const U32 m)
| Toggle the specified bit(s). More...
bool | test (const U32 m) const
| Are any of the specified bit(s) set? More...
bool | testStrict (const U32 m) const
| Are ALL the specified bit(s) set? More...
Operator Overloads
BitSet32 & | operator= (const U32 m)
BitSet32 & | operator|= (const U32 m)
BitSet32 & | operator&= (const U32 m)
BitSet32 & | operator^= (const U32 m)
BitSet32 | operator| (const U32 m) const
BitSet32 | operator& (const U32 m) const
BitSet32 | operator^ (const U32 m) const

## Detailed Description

A convenience class to manipulate a set of bits.

Notice that bits are accessed directly, ie, by passing a variable with the relevant bit set or not, instead of passing the index of the relevant bit.

## Constructor & Destructor Documentation

BitSet32 | ( |  | ) |
| inline

BitSet32 | ( | const BitSet32 & | in_rCopy | ) |
| inline

BitSet32 | ( | const U32 | in_mask | ) |
| inline

## Member Function Documentation

void clear | ( |  | ) |
| inline

Clear all bits.

void clear | ( | const U32 | m | ) |
| inline

Clear the specified bit(s).

U32 getMask | ( |  | ) | const
| inline

operator U32 | ( |  | ) | const
| inline

BitSet32 operator& | ( | const U32 | m | ) | const
| inline

BitSet32& operator&= | ( | const U32 | m | ) |
| inline

BitSet32& operator= | ( | const U32 | m | ) |
| inline

BitSet32 operator^ | ( | const U32 | m | ) | const
| inline

BitSet32& operator^= | ( | const U32 | m | ) |
| inline

BitSet32 operator| | ( | const U32 | m | ) | const
| inline

BitSet32& operator|= | ( | const U32 | m | ) |
| inline

void set | ( |  | ) |
| inline

Set all bits to true.

void set | ( | const U32 | m | ) |
| inline

Set the specified bit(s) to true.

void set | ( | BitSet32 | s,
|  | bool | b
| ) |  |
| inline

Masked-set the bitset; ie, using s as the mask and then setting the masked bits to b.

bool test | ( | const U32 | m | ) | const
| inline

Are any of the specified bit(s) set?

bool testStrict | ( | const U32 | m | ) | const
| inline

Are ALL the specified bit(s) set?

void toggle | ( | const U32 | m | ) |
| inline

Toggle the specified bit(s).

The documentation for this class was generated from the following file:

- collection/bitSet.h